Odpowiedz 
 
Ocena wątku:
  • 0 Głosów - 0 Średnio
  • 1
  • 2
  • 3
  • 4
  • 5
Błąd ccmake .. 'c' przy kompilacji QGIS 1.6
07-03-2011, 02:46 PM (Ten post był ostatnio modyfikowany: 07-03-2011 02:48 PM przez Rafa.)
Post: #1
Błąd ccmake .. 'c' przy kompilacji QGIS 1.6
Witam,

Próbuję kompilować qgis na distro fedora. Chcę przerobić tutorial ubuntowy:
http://www.qgis.org/wiki/Building_QGIS_f...NU.2FLinux
tak by działał na fedorze. Niestety na ccmake .. przy konfiguracji dostaję:
Cytat:CMake Error at CMakeLists.txt:186 (MESSAGE):
Some Qt4 modules haven't been found!



Qt QTWEBKIT library not found.

CMake Error at src/mapserver/CMakeLists.txt:6 (MESSAGE):
Fast CGI dependency was not found!



CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
FCGI_INCLUDE_DIR
used as include directory in directory /home/rafal/dev/qgis-1.6.0/src/mapserver
FCGI_LIBRARY
linked by target "qgis_mapserv.fcgi" in directory /home/rafal/dev/qgis-1.6.0/src/mapserver
Wygląda na to, że brak jakichś pakietów albo ich nie widzi (?) Wykonuję to jako zwykły użytkownik bez 'su'.
Jak powinienem rozumieć te errory i co trzeba uzupełnić?
Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
07-03-2011, 04:43 PM
Post: #2
RE: Błąd ccmake .. 'c' przy kompilacji QGIS 1.6
Nie znam Fedory ale zaczął bym od sprawdzenia czy zainstalowany jest libqt4-webkit, jak nie, to bym doinstalował Smile
Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
07-03-2011, 07:30 PM (Ten post był ostatnio modyfikowany: 07-03-2011 07:54 PM przez Rafa.)
Post: #3
RE: Błąd ccmake .. 'c' przy kompilacji QGIS 1.6
Chodziło o pakiety qt-webkit-devel oraz fcgi-devel
Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
Odpowiedz 


Podobne wątki
Wątek: Autor Odpowiedzi: Wyświetleń: Ostatni post
  QGIS naruszenie ochrony pamięci przy wczytywaniu projektu Michau 2 426 11-09-2017 11:28 PM
Ostatni post: Michau
Question Problemy przy przenoszeniu z QGIS 1.8 do QGIS 2.0.1 mark014 2 3 675 04-11-2013 12:20 AM
Ostatni post: mark014
  Przeglądarka qgis zawiesza się przy próbie połączenia z bazą postgis mistico 0 6 143 15-01-2013 10:41 AM
Ostatni post: mistico

Skocz do: